/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.daos;


import com.tabajara.base.tables.Tiposensor;
import com.tabajara.base.tables.records.TiposensorRecord;

import io.github.jklingsporn.vertx.jooq.shared.internal.AbstractVertxDAO;

import java.util.List;

import javax.annotation.Generated;

import org.jooq.Configuration;


import io.vertx.core.Future;
import io.github.jklingsporn.vertx.jooq.classic.jdbc.JDBCClassicQueryExecutor;
/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TiposensorDao extends AbstractVertxDAO<TiposensorRecord, com.tabajara.base.tables.pojos.Tiposensor, Integer, Future<List<com.tabajara.base.tables.pojos.Tiposensor>>, Future<com.tabajara.base.tables.pojos.Tiposensor>, Future<Integer>, Future<Integer>> implements io.github.jklingsporn.vertx.jooq.classic.VertxDAO<TiposensorRecord,com.tabajara.base.tables.pojos.Tiposensor,Integer> {

    /**
     * @param configuration The Configuration used for rendering and query execution.
     * @param vertx the vertx instance
     */
    public TiposensorDao(Configuration configuration, io.vertx.core.Vertx vertx) {
        super(Tiposensor.TIPOSENSOR, com.tabajara.base.tables.pojos.Tiposensor.class, new JDBCClassicQueryExecutor<TiposensorRecord,com.tabajara.base.tables.pojos.Tiposensor,Integer>(com.tabajara.base.tables.pojos.Tiposensor.class,configuration,vertx), configuration);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected Integer getId(com.tabajara.base.tables.pojos.Tiposensor object) {
        return object.getTipsenid();
    }

    /**
     * Find records that have <code>tipsennome IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Tiposensor>> findManyByTipsennome(List<String> values) {
        return findManyByCondition(Tiposensor.TIPOSENSOR.TIPSENNOME.in(values));
    }

    /**
     * Find records that have <code>tipsendescricao IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Tiposensor>> findManyByTipsendescricao(List<String> values) {
        return findManyByCondition(Tiposensor.TIPOSENSOR.TIPSENDESCRICAO.in(values));
    }
}
